package com.jianshui.invoice.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jianshui.common.utils.SecurityUtils;
import com.jianshui.invoice.domain.UserRegistedLogEntity;
import com.jianshui.invoice.mapper.UserRegistedLogMapper;
import com.jianshui.invoice.service.UserRegistedLogService;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.UUID;

@Service
public class UserRegistedLogServiceImpl extends ServiceImpl<UserRegistedLogMapper, UserRegistedLogEntity> implements UserRegistedLogService {

    /**
     * 保存请求参数
     * @param requestParam
     * @param responseParam
     * @param requestType
     * @return
     */

    @Async
    public void saveRequest(String requestParam,String responseParam,String requestType){

        UserRegistedLogEntity userRegistedLog = new UserRegistedLogEntity();
        userRegistedLog.setBatchId(UUID.randomUUID().toString().replace("-",""));
        userRegistedLog.setCreateTime(new Date());
        userRegistedLog.setRequestType(requestType);
        userRegistedLog.setRequestData(requestParam);
        userRegistedLog.setResponseData(responseParam);
        this.save(userRegistedLog);
    }
}
